Nowe posty

xx Debian 9 Stretch, linuxcnc i restart przy uruchamianiu (1)
Wczoraj o 11:09:50
xx Zakup sprzętu bez preinstalowanego windowsa (8)
2019-10-17, 16:50:51
xx Problem z pocztą Dovecot+Postfix+MySQL (3)
2019-10-16, 14:43:41
xx Instalacja Debian10 problem z instalacją GRUBa na RAID5 (5)
2019-10-15, 17:58:57
xx AMD Ryzen 5 3500U (11)
2019-10-14, 18:29:46
xx Konfiguracja directadmina (0)
2019-10-13, 03:18:36
xx Problem z instalacją sterowników TL-WN821N (4)
2019-10-11, 23:15:00
xx Sprzet z Linuxem (1)
2019-10-11, 10:06:24
xx nadpisanie partycji domowej (6)
2019-10-03, 03:27:28
xx Screen flickering Deepin (4)
2019-10-02, 20:32:56

Autor Wątek: blobAndConquer-1.0  (Przeczytany 3006 razy)

Offline

  • Users
  • Użytkownik
  • **
  • Wiadomości: 85
    • Zobacz profil
blobAndConquer-1.0
« dnia: 2008-08-25, 14:17:58 »
Witam Wszystkich!

Chciałem się troszkę odstresować i ściągnąłem sobie grę blobAndConquer-1.0 ze strony: http://www.parallelrealities.co.uk/blobAndConquer.php.

pobrał mi się plik o nazwie blobAndConquer-1.0-1.tar.gz i nie mogę go zainstalować

skopiowałem go do folderu domowego i wpisywałem już:
tar xfz blobAndConquer-1.0-1.tar.gz
cd blobAndConquer-1.0
make
make install

ale nie wiem co robić dalej bo wyskakuje mi tak:

webbaq@webbaq-laptop:~/blobAndConquer-1.0$ make
g++  -Wformat=2 -Wformat-security -Wstrict-aliasing=2 -Wmissing-format-attribute -Wmissing-noreturn -Wdisabled-optimization `sdl-config --cflags` -DVERSION=1.0 -DRELEASE=1 -DUSEPAK=0 -DDEV=0 -DPAKNAME=\\"blobAndConquer.pak\\" -DPAKLOCATION=\\"/usr/share/games/blobAndConquer/\\" -DGAMEPLAYMANUAL=\\"/usr/share/doc/blobAndConquer//index.html\\" -Wall -pedantic -DLOCALEDIR=\\"/usr/share/locale/\\" -c src/cplusplus/CAudio.cpp
/bin/sh: sdl-config: not found
/bin/sh: g++: not found
make: *** [CAudio.o] Błąd 127
webbaq@webbaq-laptop:~/blobAndConquer-1.0$ make install
./pak data gfx music sound textures blobAndConquer.pak
make: ./pak: Polecenie nie znalezione
make: *** [install] Błąd 127
webbaq@webbaq-laptop:~/blobAndConquer-1.0$
:-/ znając życie wystarczą 2 proste komendy...

Pomóżcie proszę

PS. A może ktoś zdobył pakiet blobAndConquer-1.0-1.DEB?

Offline

  • Users
  • Użytkownik
  • **
  • Wiadomości: 64
    • Zobacz profil
blobAndConquer-1.0
« Odpowiedź #1 dnia: 2008-08-25, 19:16:45 »
grałem w to jakiś czas temu . hmmmm mi się wydaje że ta gra
jest w repo ubuntu może tam poszukaj . mogę oczywiście się mylić.
i sprawdź po wypakowaniu czy nie ma przypadkiem pliku uruchamiającego
 nie pamiętam bym cokolwiek "instalował"

Offline

  • Users
  • Użytkownik
  • **
  • Wiadomości: 85
    • Zobacz profil
blobAndConquer-1.0
« Odpowiedź #2 dnia: 2008-08-26, 09:10:59 »
Tej gry niestety nie ma w repozytorium. Jest tylko wcześniejsza wersja o nazwie Metal Blob Solid. (ta nowsza wersja jest 3D)

Zainstalowałem tą grę z jakiegoś pakietu .deb i mam teraz straszne problemy :(
(nazywał się blobandconquer-data_0.95-1_all i blobandconquer_0.95-1_i386
pobrałem to ze strony http://packages.ubuntu.com/intrepid/blobandconquer-data)


mam błąd pakietu "update-manager" a gdy wchodzę o Synaptica wyskakuje mi napis:

"E: Pakiet blobandconquer ma zostać przeinstalowany, ale nie można znaleźć jego archiwum

E: Błąd wewnętrzny pamięci podręcznej (1). Proszę zgłosić błąd "


Co robić? :( Jestem załamany... głupia gra zniszczyła mi system :(
Czy da się to jeszcze jakoś uratować?

Gra co prawda działa ale przecież system jest ważniejszy!

Może da się jakoś usunąć tą grę (przecież nie będę się upierał, że musi zostać)? znalazłem ją nawet jest w /usr/share/games/blobAndConqer oraz w /usr/games/blobandconquer

Wynikiem sudo apt-get remove blobAndConquer jest także:

Czytanie list pakietów... Gotowe
Budowanie drzewa zależności      
Reading state information... Gotowe
E: Pakiet blobandconquer ma zostać przeinstalowany, ale nie można znaleźć jego archiwum.
:(

Próbowałem jeszcze tak:

webbaq@webbaq-laptop:~$ sudo dpkg -r blobAndConquer
dpkg: błąd przetwarzania blobandconquer (--remove):
 Pakiet jest w złym stanie - powinien zostać przeinstalowany
 przed usunięciem.
Wystąpiły błędy podczas przetwarzania:
 blobandconquer
zrobiłem jeszcze tak sudo dpkg --force-remove-reinstreq -r
i teraz gra zniknęła ale niestety problem nadal jest :(

Czy istnieje jakaś metoda lub komenda umożliwiająca dokonanie  PRZEINSTALOWANIA tego pakietu???


Pomóżcie proszę bo z tym chyba sobie nie poradzę :(